package wenrgise.workflow.ejb.facade;

import java.sql.Timestamp;
import java.util.ArrayList;
import javax.ejb.EJBLocalObject;
import wenrgise.common.exception.EnrgiseApplicationException;
import wenrgise.common.exception.EnrgiseSystemException;
import wenrgise.common.utility.UserInfo;
import wenrgise.workflow.bean.WflDtlsHdrBean;
import wenrgise.workflow.core.WflDocumentInfo;
import wenrgise.workflow.core.WflStatus;

public interface WflCommFacadeLocal extends EJBLocalObject {
  UserInfo getLoginUserInfo(String paramString1, String paramString2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  WflStatus process(WflDocumentInfo paramWflDocumentInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  boolean canDo(WflDocumentInfo paramWflDocumentInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String getDocumentTypeId(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String getActivityId(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getWorkListInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String getActivityCode(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String getRouteDtlId(WflDocumentInfo paramWflDocumentInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  WflDtlsHdrBean getWorkFlowDtlsInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String closeWorkList(WflDtlsHdrBean paramWflDtlsHdrBean, Timestamp paramTimestamp1, ArrayList paramArrayList, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getDocHistDtl(String paramString1, String paramString2, String paramString3) throws EnrgiseApplicationException, EnrgiseSystemException;
}
